<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Loans"
      color="secondary"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in ProductProperties"
              :key="`key-${index}`"
            >
              {{ item }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="(item,index) in ProductsList"
            :id="index"
            :key="`key-${index}`"
            @click="gotoLoanPage"
          >
            <th
              v-for="(value,index) of item"
              :key="index"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />
  </v-container>
</template>

<script>
  import { showProducts } from '@/request/api.js'
  export default {
    name: 'ShowLoansView',
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        // companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],

        ProductProperties: ['loanId', 'loanProvider', 'loanCode', ' loanName', 'Currency',
                            'Asset', 'AnnualInterest', 'AdditionalInf'],

        ProductsList: [
          {
            loanId: '贷款产品id',
            loanProvider: '对应金融机构名称',
            loanCode: '贷款产品编码',
            loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
            loanCurrency: '默认人民币',
            loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
            loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
            loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
          },
          {
            loanId: '贷款产品id2222',
            loanProvider: '对应金融机构名称',
            loanCode: '贷款产品编码',
            loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
            loanCurrency: '默认人民币',
            loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
            loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
            loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
          },
          {
            loanId: '贷款产品id33',
            loanProvider: '对应金融机构名称',
            loanCode: '贷款产品编码',
            loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
            loanCurrency: '默认人民币',
            loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
            loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
            loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
          },
        ],
      }
    },
    mounted: function () {
      //   "loanId": "贷款产品id",
      //   "loanProvider": "对应金融机构名称",
      //   "loanCode": "贷款产品编码",
      //   "loanName": "贷款产品名称（贷款产品名称可以取“自强计划”之类的）",
      //   "loanCurrency": "默认人民币",
      //   "loanAsset": "贷款最多金额（为简便起见值对应（0，loan_asset）区间",
      //   "loanAnnualInterest": "年息（5.1实际上表示的是5.1%）",
      //   "loanAdditionalInfo": "附加信息（“此项贷款针对…的微企）"
      const params = [
        {
          loanId: '贷款产品id',
          loanProvider: '对应金融机构名称',
          loanCode: '贷款产品编码',
          loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
          loanCurrency: '默认人民币',
          loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
          loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
          loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
        },
        {
          loanId: '贷款产品id2222',
          loanProvider: '对应金融机构名称',
          loanCode: '贷款产品编码',
          loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
          loanCurrency: '默认人民币',
          loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
          loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
          loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
        },
        {
          loanId: '贷款产品id33',
          loanProvider: '对应金融机构名称',
          loanCode: '贷款产品编码',
          loanName: '贷款产品名称（贷款产品名称可以取“自强计划”之类的）',
          loanCurrency: '默认人民币',
          loanAsset: '贷款最多金额（为简便起见值对应（0，loan_asset）区间',
          loanAnnualInterest: '年息（5.1实际上表示的是5.1%）',
          loanAdditionalInfo: '附加信息（“此项贷款针对…的微企）',
        },
      ]
      this.ProductsList = params
    },

    methods: {
      gotoLoanPage: function (e) {
        console.dir(e.currentTarget.id)// 找到对应的id
        console.log(this.ProductsList[e.currentTarget.id].loanId)
        const id = 2
        this.$router.push({ path: '/financial/loanDetail/', params: { id } })
      },
    },
  }
</script>
